Bug 143069 - Python Errors with libxml2
Python Errors with libxml2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 05:41 EST by Grosswiler Roger
Modified: 2014-01-21 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 14:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grosswiler Roger 2004-12-16 05:41:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Calling yum for updates or whatever just brings the following error:

Traceback (most recent call last):
  File "/usr/bin/yum", line 22, in ?
    import yummain
  File "/usr/share/yum/yummain.py", line 31, in ?
    import yumcomps
  File "/usr/share/yum/yumcomps.py", line 4, in ?
    import comps
  File "/usr/share/yum/comps.py", line 5, in ?
    import libxml2
  File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: 
undefined symbol: xmlNewDocPI

This error is with libxml2-2.6.16-3 and also with libxml2-2.6.16-2. 
Yum is working fine with libxml2-2.6.8.

Version-Release number of selected component (if applicable):
yum-2.0.7-1.1

How reproducible:
Always

Steps to Reproduce:
1.rpm -e libxml2 and all -devel and -python
2.rpm -Uvh libxml-2.6.8 -> works
3.rpm -e libxml-2.6.8 and all -devel -and python
4. works again.
    

Actual Results:  yum works again, but on an old version of libxml

Expected Results:  libxml should be on an actual version, yum should 
be working

Additional info:
Comment 1 Ben Thomas 2005-01-21 12:36:17 EST
I'm seeing this exact error on my system as well.

root@myserver [~]# uname -srmv
Linux 2.6.10-1.9_FC2 #1 Thu Jan 13 17:52:29 EST 2005 x86_64

Comment 2 its.a.thing 2005-04-17 17:39:49 EDT
I get the same error with Fedora Core 3 kernel 2.6.10.
Comment 3 Matthew Miller 2005-04-26 12:22:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Seth Vidal 2005-07-29 14:20:26 EDT
closing

Note You need to log in before you can comment on or make changes to this bug.